# ValidatesAssociatedWithContext

Adds `validates_associated_with_context` to models to validate associated models with validation context.

## Installation


Add it to your Gemfile:

```ruby
gem 'validates_associated_with_context'
```

Run the following command to install it:

```
bundle install
```

## Usage

Use `validates_associated_with_context` in your models:
```ruby
class Book < ActiveRecord::Base
  has_many :pages
  belongs_to :library

  validates_associated_with_context :pages, :library, context: :custom_validation_context
end
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and the created tag, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
