# frozen_string_literal: true

require_relative "lib/validates_associated_with_context/version"

Gem::Specification.new do |spec|
  spec.name = "validates_associated_with_context"
  spec.version = ValidatesAssociatedWithContext::VERSION
  spec.authors = ["Guillaume Dott"]
  spec.email = ["guillaume+github@dott.fr"]

  spec.summary = "validates_associated with validation context"
  spec.description = "Adds validates_associated_with_context to models to validate associated models with validation context"
  spec.homepage = "https://code.amnesix.eu/guillaume/validates_associated_with_context"
  spec.license = "MIT"
  spec.required_ruby_version = ">= 2.6.0"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://code.amnesix.eu/guillaume/validates_associated_with_context"
  spec.metadata["changelog_uri"] = "https://code.amnesix.eu/guillaume/validates_associated_with_context/src/branch/main/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(__dir__) do
    `git ls-files -z`.split("\x0").reject do |f|
      (f == __FILE__) || f.match(%r{\A(?:(?:bin|test|spec|features)/|\.(?:git|circleci)|appveyor)})
    end
  end
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  spec.add_dependency "activemodel", "~> 7.0"
  spec.add_dependency "activerecord", "~> 7.0"

  # For more information and examples about making a new gem, check out our
  # guide at: https://bundler.io/guides/creating_gem.html
end
